Bug 251506 - Add configuration parameter for dh group used during PHASE 1 of IPsec SA.
Add configuration parameter for dh group used during PHASE 1 of IPsec SA.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
5.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: initscripts Maintenance Team
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-09 10:23 EDT by Stijn Tintel
Modified: 2008-05-21 13:23 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0443
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:23:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch adds a configuration parameter for the dh group used during PHASE 1 of IPsec SA. (1.13 KB, patch)
2007-08-09 10:23 EDT, Stijn Tintel
no flags Details | Diff
This patch adds a configuration parameter for the dh group used during PHASE 1 of IPsec SA. (1.13 KB, patch)
2007-08-10 07:19 EDT, Stijn Tintel
no flags Details | Diff

  None (edit)
Description Stijn Tintel 2007-08-09 10:23:34 EDT
Description of problem:
RedHat's initscripts hardcode the dh group used during PHASE 1 of IPsec SA to 2.
This will only work if the other side of the IPsec tunnel to be created also set
this to 2.

Version-Release number of selected component (if applicable):
initscripts-8.45.14.EL-1
Comment 1 Stijn Tintel 2007-08-09 10:23:35 EDT
Created attachment 160977 [details]
This patch adds a configuration parameter for the dh group used during PHASE 1 of IPsec SA.
Comment 2 Stijn Tintel 2007-08-10 07:19:25 EDT
Created attachment 161044 [details]
This patch adds a configuration parameter for the dh group used during PHASE 1 of IPsec SA.

Small typo in first patch.
Comment 3 RHEL Product and Program Management 2007-10-15 23:49:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Bill Nottingham 2008-01-10 14:50:23 EST
Added in CVS.
Comment 9 errata-xmlrpc 2008-05-21 13:23:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0443.html

Note You need to log in before you can comment on or make changes to this bug.